# Titanium compilation script for Dart

## Requirements

* Titanium

```bash
npm install -g titanium
```

* Dart SDK

Download and install from https://www.dartlang.org/tools/download.html

## Create a "Dart Titanium" project

* Create a Titanium project

```bash
ti create
```

* Add a __app.dart__ entry point at the top of your project

```dart
void main() {
  print('Hello World !');
}
```

* Add a __pubspec.yaml__ file in your project

```yaml
name: myapp
dependencies:
  titanium: 0.0.1
```

* Download the script

```bash
pub get
```

* Compile your app

```bash
./packages/titanium/bin/compile
```

* Build and run for IOS Simulator

```bash
ti build -p ios
```

* Build and run for Android Simulator

```bash
ti build -p android
```
